org.apache.ignite.platform.dotnet

## Class PlatformDotNetCacheStoreFactory

- java.lang.Object
- - org.apache.ignite.platform.dotnet.PlatformDotNetCacheStoreFactory

All Implemented Interfaces:
  Serializable, javax.cache.configuration.Factory<PlatformDotNetCacheStore>

    public class PlatformDotNetCacheStoreFactory
    extends Object
    implements javax.cache.configuration.Factory<PlatformDotNetCacheStore>

Wrapper for .NET cache store implementations.

This wrapper should be used if you have an implementation of `GridGain.Cache.IGridCacheStore` interface in .NET and would like to configure it a persistence storage for your cache. To do tis you will need to configure the wrapper via `CacheConfiguration.setCacheStoreFactory(javax.cache.configuration.Factory)` property and provide assembly name and class name of your .NET store implementation (both properties are mandatory):

     <bean class="org.apache.ignite.cache.CacheConfiguration">
         ...
         <property name="cacheStoreFactory">
             <bean class="org.gridgain.grid.interop.dotnet.InteropDotNetCacheStoreFactory">
                 <property name="assemblyName" value="MyAssembly"/>
                 <property name="className" value="MyApp.MyCacheStore"/>
             </bean>
         </property>
         ...
     </bean>

If properly configured, this wrapper will instantiate an instance of your cache store in .NET and delegate all calls to that instance. To create an instance, assembly name and class name are passed to System.Activator.CreateInstance(String, String) method in .NET during node startup. Refer to its documentation for details.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PlatformDotNetCacheStoreFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PlatformDotNetCacheStore` `create()`
`Map<String,?>` `getProperties()` Get properties.
`String` `getTypeName()` Gets .NET type name.
`void` `setProperties(Map<String,?> props)` Set properties.
`void` `setTypeName(String typName)` Sets .NET type name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformDotNetCacheStoreFactory

    public PlatformDotNetCacheStoreFactory()

### Method Detail

#### getTypeName

    public String getTypeName()

Gets .NET type name.

Returns:
  .NET type name.

#### setTypeName

    public void setTypeName(String typName)

Sets .NET type name.

Parameters:
  `typName` - .NET type name.

#### getProperties

    public Map<String,?> getProperties()

Get properties.

Returns:
  Properties.

#### setProperties

    public void setProperties(Map<String,?> props)

Set properties.

Parameters:
  `props` - Properties.

#### create

    public PlatformDotNetCacheStore create()

Specified by:
  `create` in interface `javax.cache.configuration.Factory<PlatformDotNetCacheStore>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020